﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using JewelryStoreDatabaseImplement.Models;


namespace JewelryStoreDatabaseImplement
{
    public class JewelryStoreDataBase : DbContext
    {

        
            protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
            {
                if (optionsBuilder.IsConfigured == false)
                {
                    optionsBuilder.UseSqlServer(@"Data Source=DESKTOP-H890EHR\SQLEXPRESS;Initial Catalog=JewelryStoreDatabaseFull;Integrated Security=True;MultipleActiveResultSets=True;;TrustServerCertificate=True");
                }
                base.OnConfiguring(optionsBuilder);
            }
            public virtual DbSet<Component> Components { set; get; }
            public virtual DbSet<Jewel> Jewels { set; get; }
            public virtual DbSet<JewelComponent> JewelComponents { set; get; }
            public virtual DbSet<Order> Orders { set; get; }
            public virtual DbSet<Client> Clients { set; get; }
            public virtual DbSet<Implementer> Implementers { set; get; }
		    public virtual DbSet<Message> Messages { set; get; }

	}
}

